require "chicago_towed_vehicles/version"
require 'unirest'

module ChicagoTowedVehicles
  class TowedVehicle
    attr_reader :color, :make, :plate, :towed_to_address

    def initialize(hash)
      @color = hash["color"]
      @make = hash["make"]
      @plate = hash["plate"]
      @towed_to_address = hash["towed_to_address"]
    end

    def self.all
      vehicles_array = Unirest.get("https://data.cityofchicago.org/resource/rp42-fxjt.json").body

      vehicles = []
      vehicles_array.each do |vehicle_hash|
        vehicles << TowedVehicle.new(vehicle_hash)
      end
      return vehicles
    end

    # def self.search(search_term)
    #   vehicles_array = Unirest.get("https://data.cityofchicago.org/resource/rp42-fxjt.json?q=#{search_term}").body

    #   vehicles = []
    #   vehicles_array.each do |vehicle_hash|
    #     vehicles << TowedVehicle.new(vehicle_hash)
    #   end
    #   return vehicles
    # end

  end
end
